summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2019-05-15 22:14:41 +0200
committerTupone Alfredo <tupone@gentoo.org>2019-05-15 22:14:41 +0200
commitb275765716178c97ab294eaf6199fd1b6af24b76 (patch)
tree711c95ea66f0bce418c86054c6b1826f40d087bb /dev-tcltk/tcllib/tcllib-1.19.ebuild
parentnet-analyzer/gnu-netcat: Remove last-rited pkg (diff)
downloadgentoo-b275765716178c97ab294eaf6199fd1b6af24b76.tar.gz
gentoo-b275765716178c97ab294eaf6199fd1b6af24b76.tar.bz2
gentoo-b275765716178c97ab294eaf6199fd1b6af24b76.zip
dev-tcltk/tcllib: Fix some test with newer tcl
Closes: https://bugs.gentoo.org/681234 Signed-off-by: Alfredo Tupone <tupone@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-tcltk/tcllib/tcllib-1.19.ebuild')
-rw-r--r--dev-tcltk/tcllib/tcllib-1.19.ebuild12
1 files changed, 12 insertions, 0 deletions
diff --git a/dev-tcltk/tcllib/tcllib-1.19.ebuild b/dev-tcltk/tcllib/tcllib-1.19.ebuild
index c2701e93c48..63a889b0779 100644
--- a/dev-tcltk/tcllib/tcllib-1.19.ebuild
+++ b/dev-tcltk/tcllib/tcllib-1.19.ebuild
@@ -27,6 +27,18 @@ DOCS=(
)
HTML_DOCS=( devdoc/devguide.html devdoc/releaseguide.html )
+src_prepare() {
+ default
+ if has_version ">=dev-lang/tcl-8.6.9"; then
+ sed -i \
+ -e "s|::hook::call|call|" \
+ -e "s|::string::token::shell|shell|" \
+ "${S}"/modules/hook/hook.test \
+ "${S}"/modules/string/token_shell.test \
+ || die
+ fi
+}
+
src_test() {
USER= virtx emake test_batch
}